﻿<%@ Control Language="C#" Inherits="SpaceBuilder.Web.SPBViewUserControl<PagingDataSet<PhotoThread>>" %>
<table class="tn-table-grid">
    <tr class="tn-table-grid-header">
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            <input type="checkbox" id="TopCheckBox" class="tn-checkbox" onclick="checkAll(this,'CheckBoxGroup')" />
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            缩略图
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            主题
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            发布者
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            站点分类
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            是否精华
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            是否置顶
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            <%=GetResourceString("Label_PrivacySetting")%>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            发布时间
        </td>
        <td class="tn-border-gray tn-border-bottom tn-text-note">
            操作
        </td>
    </tr>
    <%
        if (ViewData.Model != null && ViewData.Model.Records.Count > 0)
        {
            PagingDataSet<PhotoThread> PgListGalleries = ViewData.Model as PagingDataSet<PhotoThread>;
            IList<PhotoThread> IListGalleries = PgListGalleries.Records;               
    %>

    <script type="text/javascript">
        $(document).ready(function() {
            $('a[name="GalleryManagerCommend"]').nyroModal({
                resizeable: true,
                height: 450,
                width: 400,
                endRemove: function(elts, settings) {
                }
            });
            $("tr span[menu]").menuButton({ buttonHoverClass: 'ui-widget-content tn-action-hover' });
        });
    </script>

    <%
        foreach (var item in IListGalleries)
        {    
    %>
    <tr valign="middle" class="tn-border-gray tn-border-bottom">
        <td class="tn-border-gray tn-border-bottom tn-width-check">
            <input  type="checkbox" class="tn-checkbox" name="CheckBoxGroup"
                value="<%=item.ThreadID %>" />
        </td>
        <td valign="tn-border-gray tn-border-bottom tn-width-pic">
            <%=SPBHtmlHelper.Instance().ShowPicture(item.ThreadID, PhotoImageType.Icon) %><span></span>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-auto">
            <a title="<%=item.Subject %>" target="_blank" href="<%=Url.Action("ShowPhoto","Photo",new{userDomainName=UserID2UserNameDictionary.GetUserName(item.OwnerUserID),threadID=item.ThreadID}) %>">
                <%=item.Subject %></a>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-user-name tn-nowrap">
            <a href="<%=SiteUrls.Instance().UserChannelHome(item.OwnerUserID, UserDomainSpecialAppIDs.Instance().Home()) %>"
                target="_blank">
                <%=item.Author %></a>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-category tn-nowrap">
            <% if (item.SiteCategory != null)
               {%>
            <a href="<%=Url.Action("ListPhotosByCategory","ChannelPhoto",new{categoryID=item.SiteCategoryID}) %>"
                target="_blank">
                <%=item.SiteCategory.CategoryName%></a>
            <%} %>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-icon1">
            <% if (item.IsEssential)
               {
                   Response.Write(SPBHtmlHelper.Instance().Icon(IconTypes.Accept, "此图片已设为精华"));

               }
               else
               {
                   Response.Write(SPBHtmlHelper.Instance().Icon(IconTypes.Cross, "此图片未设为精华"));
               } %>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-icon1">
            <% if (item.SpecialOrder > 0)
               {
                   Response.Write(SPBHtmlHelper.Instance().Icon(IconTypes.Accept, "此图片已设为置顶"));
               }
               else
               {
                   Response.Write(SPBHtmlHelper.Instance().Icon(IconTypes.Cross, "此图片未设为置顶"));
               } %>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-status tn-nowrap">
            <% switch (item.PrivacyStatus)
               {
                   case PrivacyStatuses.NeedPassword:
                       Response.Write("凭密码访问");
                       break;
                   case PrivacyStatuses.OnlyFriend:
                       Response.Write("仅好友可见");
                       break;
                   case PrivacyStatuses.Privacy:
                       Response.Write("仅自己可见");
                       break;
                   case PrivacyStatuses.Public:
                       Response.Write("所有人可见");
                       break;
                   default:
                       break;
               } %>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-date tn-nowrap">
            <%=Formatter.FormatDate(item.PostDate)%>
        </td>
        <td class="tn-border-gray tn-border-bottom tn-width-action1 tn-nowrap">
            <span class="tn-action tn-action-text-icon-right tn-action-has-drop-menu tn-border-trl"
                menu="#MenuButton_<%=item.ThreadID %>"><span class="tn-icon tn-icon-triangle-down">
                </span><a class="tn-action-text" href="<%=Url.Action("EditPhoto","Photo",new{userDomainName=UserID2UserNameDictionary.GetUserName(item.OwnerUserID),threadID=item.ThreadID}) %>"
                    target="_blank">编辑</a></span>
            <div id="MenuButton_<%=item.ThreadID %>" class="tn-drop-menu ui-widget-content" style="display: none;">
                <ul class="tn-menu-drop-list">
                    <li class="tn-menu-drop-item"><a onclick="if ( !confirm('是否删除选中的图片？') ) {return false; }"
                        href="<%=Url.Action("DeleteThread", "ManagePhoto", new { status = (AuditingStatusesForDisplay)(item.AuditingStatus), pageIndex = PgListGalleries.PageIndex, threadID = item.ThreadID }) %>"
                        >删除</a></li>
                    <li class="tn-menu-drop-item"><a href="<%=SiteUrls.Instance().RecommendItem(ApplicationIDs.Instance().Photo(), item.OwnerUserID, item.ThreadID,item.Subject,"112002")%>"
                        name="GalleryManagerCommend" >推荐</a> </li>
                </ul>
            </div>
        </td>
    </tr>
    <%} %>
    <% 
        }
    %>
</table>
<div class="tn-pagination tn-helper-align-center">
    <% Response.Write(SPBHtmlHelper.Instance().PagingButton(PaginationMode.NumericNextPrevious, Model.TotalRecords, Model.PageSize, Model.PageIndex));   %>
</div>
